This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1061732 - Review Request: python-flask-restful - RESTful library for Flask
Review Request: python-flask-restful - RESTful library for Flask
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
: Reopened
Depends On: 1059659
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-05 09:06 EST by Jan Sedlák
Modified: 2015-11-30 18:25 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.3.4-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 18:25:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
msuchy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Sedlák 2014-02-05 09:06:04 EST
Spec URL: http://jsedlak.fedorapeople.org/python-flask-restful.spec
SRPM URL: http://jsedlak.fedorapeople.org/python-flask-restful-0.2.11-1.fc20.src.rpm
Description: Flask-RESTful is Python library for writing RESTful APIs in Flask applications.

It has Python 3 support.
Fedora Account System Username: jsedlak
Comment 1 Jan Sedlák 2014-02-05 09:06:56 EST
Here is output from fedora-review package: http://jsedlak.fedorapeople.org/review-python-flask-restful/
Comment 2 Miroslav Suchý 2015-01-15 03:17:45 EST
It is good habit (but not mandatory) to mark which BR are needed for tests. E.g:

# those are needed for tests:
BuildRequires:  python3-nose
BuildRequires:  python3-mock
...


AUTHORS.md, README.md examples and docs should be put in in doc dir. This should be enough in %files sections:
%doc README.md AUTHORS.md examples docs

you are missing license in package. It should be either
  %doc LICENSE
or rather
  %license LICENSE
It should be in both packages.
Comment 3 Miroslav Suchý 2015-01-15 05:03:13 EST
Also the file utils/ordereddict.py is licensed under MIT (according its header) so license should be BSD and MIT. But in upstream this file is no longer present, so you may just rebase.
Comment 4 Jan Sedlák 2015-01-21 04:12:35 EST
Ok, I will correct it and repackage to newest version.
Comment 5 Igor Gnatenko 2015-05-26 12:55:34 EDT
(In reply to Jan Sedlák from comment #4)
> Ok, I will correct it and repackage to newest version.

ping?
Comment 6 Jan Sedlák 2015-07-08 04:06:38 EDT
I have updated flask-restful specfile. It uses newest version - 0.3.3.

Since there is a problem with logging into fedorapeople.org, I have uploaded specfile and srpm onto my Dropbox:

https://dl.dropboxusercontent.com/u/90503369/python-flask-restful/python-flask-restful.spec
https://dl.dropboxusercontent.com/u/90503369/python-flask-restful/python-flask-restful-0.3.3-1.fc22.src.rpm

There is also problem with fedora-review (namely licensecheck, bug 1240914) so I cannot run fedora-review on my package just yet.

I am using tag tarball (rather than release tarball), because since 0.3, they don't include documentation, tests and LICENSE in release tarball (see https://github.com/flask-restful/flask-restful/issues/475). I had to also delete one testcase with patch - this testcase works only with newer Werkzeug which isn't in repos.
Comment 7 Jan Sedlák 2015-07-10 04:25:43 EDT
fedora-review is now working (you have to use https://admin.fedoraproject.org/updates/devscripts-2.15.5-6.fc22), so here is its output:

https://www.dropbox.com/sh/qfno8oinv7sqq51/AADgw13JX8r3cAMOBLqbqKVra?dl=0
Comment 8 Miroslav Suchý 2015-08-13 05:28:58 EDT
You are packaging .gitignore, which is wrong:
python-flask-restful.noarch: E: version-control-internal-file /usr/share/doc/python-flask-restful/docs/_themes/.gitignore
python3-flask-restful.noarch: E: version-control-internal-file /usr/share/doc/python3-flask-restful/docs/_themes/.gitignore

Otherwise it is good to me.
Comment 10 Miroslav Suchý 2015-08-17 08:46:32 EDT
Removing FE-NEEDSPONSOR as you were already sponsored by Ralph.

APPROVED
Comment 11 Jan Sedlák 2015-08-17 10:02:09 EDT
New Package SCM Request
=======================
Package Name: python-flask-restful
Short Description: Simple framework for creating REST APIs for Flask
Upstream URL: https://www.github.com/twilio/flask-restful/
Owners: jsedlak
Branches: f21 f22 f23 el6 epel7
InitialCC:
Comment 12 Kevin Fenzi 2015-08-19 23:27:01 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2015-08-31 04:31:59 EDT
python-flask-restful-0.3.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-13802
Comment 14 Fedora Update System 2015-08-31 04:35:28 EDT
python-flask-restful-0.3.4-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-13803
Comment 15 Fedora Update System 2015-08-31 23:36:30 EDT
python-flask-restful-0.3.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-11-13 07:01:45 EST
python-flask-restful-0.3.4-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7311b57ad7
Comment 17 Fedora Update System 2015-11-13 22:21:57 EST
python-flask-restful-0.3.4-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-flask-restful'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7311b57ad7
Comment 18 Fedora Update System 2015-11-30 18:25:10 EST
python-flask-restful-0.3.4-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.